import java.util.Scanner;

public class Reloj {
    int hora;
    int minuto;
    int segundo;

    public Reloj(){//este inicializa
        hora=12;
        minuto=0;
        segundo=0;
    }
    public Reloj(int hh,int mm,int ss){//constructor de los 3 parametros y recomendable el nombre del parametro,cambia los valores actuales
        hora=hh;
        minuto=mm;
        segundo=ss;
    }
    public Reloj(int s){//Convertir segundos a horas
        hora = s / 3600;
        minuto = (s- (3600 * hora)) / 60;
        segundo= s - ((hora * 3600) + (minuto * 60));

    }
    public void setReloj(int s){
        hora = s / 3600;
        minuto = (s- (3600 * hora)) / 60;
        segundo= s - ((hora * 3600) + (minuto * 60));
        toString();
        System.out.println("[: " + hora + ":" + minuto+ ":" + segundo+"]");
    }
    public void tick() {
        int[] conversion=conversionSegundos(hora,minuto);
        int x = conversion[0] + conversion[1] + 1 + segundo;
        setReloj(x);
    }
    public void addReloj(Reloj tipoReloj){
       int[] x = conversionSegundos(tipoReloj.hora,tipoReloj.minuto);
        int [] c = conversionSegundos(hora,minuto);
        int sumaReloj=x[0]+c[0]+x[1]+c[1] + segundo + tipoReloj.segundo;
        setReloj(sumaReloj);

    }

    public void restaReloj(Reloj tipoReloj){
        int[] x = conversionSegundos(tipoReloj.hora,tipoReloj.minuto);
        int [] c = conversionSegundos(hora,minuto);
        //el objeto tipo reloj HI ES A
        if(tipoReloj.hora<hora){//hacemos la resta dell relj
            int restaReloj= (x[0]-c[0]-x[1]-c[1] - segundo - tipoReloj.segundo) *(-1);

                setReloj(restaReloj);
        }else{
            int restaReloj= (x[0]-c[0]-x[1]-c[1] - segundo - tipoReloj.segundo);

             setReloj(restaReloj);
        }






    }
    public int[] conversionSegundos(int h,int m){
        int[] Array=new int[2];
        Array[0]=h*3600;
        Array[1]=m*60;
        return Array;


    }
    public int getHora() {
        return hora;
    }


    public void setHora(int hora) {
        this.hora = hora;
    }

    public int getMinuto() {
        return minuto;
    }

    public void setMinuto(int minuto) {
        this.minuto = minuto;
    }

    public int getSegundo() {
        return segundo;
    }

    public void setSegundo(int segundo) {
        this.segundo = segundo;
    }

    @Override
    public String toString() {

        return "Reloj{" +
                "hh" + hora +
                ":mm:" + minuto +
                "segundo" + segundo +
                '}';

    }


    public static void main(String[] args) {
        System.out.println("ingrese");
        Scanner teclado = new Scanner(System.in);
        int num = teclado.nextInt();

        //contructores
        Reloj reloj = new Reloj();
        System.out.println(reloj);
        Reloj reloj2 = new Reloj(19,22,30);
        Reloj reloj3 = new Reloj(num);



        //metodos
        reloj3.restaReloj(reloj);

        for (int i = 0; i < 10; i++) {
            reloj2.tick();
       }
    }
}
